#SCREEN ANNOTATION
	playsound minecraft:entity.player.big_fall master @s ~ ~ ~ 1 0.1
	title @s title {"text":"You've Reincarnated","bold":true,"color":"red"}
	
#RACE/SKILL RESET
	tensura edit @s ability revoke everything skill common
	tensura edit @s ability revoke everything skill extra
	tensura edit @s ability revoke everything skill resistance
	tensura edit @s ability revoke everything skill intrinsic
	tensura edit @s ability revoke everything skill ultimate
	tensura edit @s ability revoke everything magic
	tensura edit @s ability revoke everything battlewill
	tensura edit @s owner permanent remove
	tensura edit @s owner name remove
	tensura edit @s spirit clear 
	tensura reset @s schematics
	tensura reset @s awakening
	tensura reset @s statistic
	
	function tr:resistances
	function tr:race/random
	
	tensura reset @s skill
	tensura edit @s stat spiritualHP set max
	effect give InmoYT minecraft:instant_health 1 100 true
	
	execute if score .trueMajin gamerules matches 1.. run tensura edit @s race majin true 
	
#ADVANCEMENTS
	advancement revoke @s from tensura:reincarnated
	advancement grant @s only tensura:reincarnated
	
#PENALTIES
#CHECK IF PLAYER DIDN'T SURVIVE LONG ENOUGH | 10M
execute if score @s playTime <= .min playTime run scoreboard players add @s deathPenalty 1
	
	#AFTER 5 THROWN RUNS START APPLYING PENALTIES
	execute if score @s deathPenalty matches 1.. run function tr:penalty/stats/get_ep
		#HP - 2 | SHP - 10 | EP - 200
		execute if score @s deathPenalty matches 1..9 run function tr:penalty/stats/a
		#HP - 5 | SHP - 20 | EP - 300
		execute if score @s deathPenalty matches 10..19 run function tr:penalty/stats/b
		#HP - 7 | SHP - 30 | EP / 2
		execute if score @s deathPenalty matches 20..29 run function tr:penalty/stats/c
		#HP - 10 | SHP - 40 | EP / 3
		execute if score @s deathPenalty matches 30..39 run function tr:penalty/stats/d
		#HP - 15 | SHP - 50 | EP / 4
		execute if score @s deathPenalty matches 40..49 run function tr:penalty/stats/e
		#HP - 20 | SHP - 60 | EP / 5
		execute if score @s deathPenalty matches 50.. run function tr:penalty/stats/f

#DID PLAYER RESPAWN IN DIFFERENT DIMENSION?
execute if entity @s[nbt={Dimension:"tensura:labyrinth"}] run function tr:wrong_dim
execute if entity @s[nbt={Dimension:"tensura:hell"}] run function tr:wrong_dim
execute if score trmysticism tensuraAddon matches 1 if entity @s[nbt={Dimension:"trmysticism:fantasy_world"}] run function tr:wrong_dim

#RESET
scoreboard players reset @s playTime
scoreboard players reset @s playerDeath