#SCOREBOARDS
scoreboard objectives add tensuraAddon dummy
scoreboard objectives add gamerules dummy

	#PLAYER DEATHS
	scoreboard objectives add deathPenalty dummy
	scoreboard objectives add playerDeath deathCount
	scoreboard objectives add showDeath deathCount
		scoreboard objectives setdisplay list showDeath
	scoreboard objectives add playTime minecraft.custom:minecraft.play_time
		execute unless score .min playTime matches 1.. run scoreboard players set .min playTime 12000
	
	#PLAYER STATS
	scoreboard objectives add playerEP dummy
	scoreboard objectives add playerEPMax dummy
		scoreboard players set #2 playerEPMax 2
		scoreboard players set #3 playerEPMax 3
		scoreboard players set #4 playerEPMax 4
		scoreboard players set #5 playerEPMax 5
		scoreboard players set #200 playerEPMax 200
		scoreboard players set #300 playerEPMax 300
		
	
	#RESET/PRESTIGE
	scoreboard objectives add prestigeCount dummy "Prestige"
		execute unless score #difficulty prestigeCount matches 0.. run scoreboard players set #difficulty prestigeCount 0
		scoreboard objectives setdisplay belowName prestigeCount
	scoreboard objectives add playerRace dummy
	
#SPAWNPOINT
execute in minecraft:overworld positioned 0 100 0 unless score .spawn gamerules matches 1.. store success score .spawn gamerules run summon minecraft:armor_stand ~ ~ ~ {Invulnerable:1b, Invisible:1b, Tags:["SpawnPoint"]}

#GAMERULES
execute unless score .respawn gamerules matches 1.. store success score .respawn gamerules run gamerule doImmediateRespawn true
execute unless score .advancements gamerules matches 1.. store success score .advancements gamerules run gamerule announceAdvancements false
execute unless score .trulyunique gamerules matches 1.. store success score .trulyunique gamerules run gamerule trulyUnique true
execute unless score .collosus gamerules matches 1.. store success score .collosus gamerules run gamerule colossusRespawn true
execute unless score .naming gamerules matches 1.. store success score .naming gamerules run gamerule playerNaming false
execute unless score .prestige gamerules matches 1.. store success score .prestige gamerules store result score #difficulty prestigeCount run gamerule resetCounterBonusUnique 1
execute unless score .trueMajin gamerules matches 0.. run scoreboard players set .trueMajin gamerules 1

#RACES
execute unless score #raceMax playerRace matches 0.. run scoreboard players set #raceMax playerRace 13

#ADDONS
	#ANI'S TENSURA ADDON
	execute unless score anitensura tensuraAddon matches 1.. store success score anitensura tensuraAddon run datapack disable "mod:anitensura"
		execute if score anitensura tensuraAddon matches 1 run datapack enable "mod:anitensura"
		execute if score anitensura tensuraAddon matches 1 unless score #anitensura playerRace matches 0.. store success score #anitensura playerRace run scoreboard players add #raceMax playerRace 4
	#MYSTICISM ADDON
	execute unless score trmysticism tensuraAddon matches 1.. store success score trmysticism tensuraAddon run datapack disable "mod:trmysticism"
		execute if score trmysticism tensuraAddon matches 1 run datapack enable "mod:trmysticism"
		execute if score trmysticism tensuraAddon matches 1 unless score #trmysticism playerRace matches 0.. store success score #trmysticism playerRace run scoreboard players add #raceMax playerRace 5
		execute if score trmysticism tensuraAddon matches 1 unless score .soulquality gamerules matches 0.. store success score .soulquality gamerules run gamerule soulQualityMode false
		